Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.tags.core
Class ForEachTag.LoopStatus

    java.lang.Object
      org.apache.commons.jelly.tags.core.ForEachTag.LoopStatus

All Implemented Interfaces:
  javax.servlet.jsp.jstl.core.LoopTagStatus

Enclosing class:
  ForEachTag

    public static final class ForEachTag.LoopStatus

extends java.lang.Object
implements javax.servlet.jsp.jstl.core.LoopTagStatus

Holds the status of the loop.

Constructor Summary
`ForEachTag.LoopStatus(java.lang.Integer begin, java.lang.Integer end, java.lang.Integer step)`

Method Summary
`java.lang.Integer` | `getBegin()`
`int` | `getCount()`
`java.lang.Object` | `getCurrent()`
`java.lang.Integer` | `getEnd()`
`int` | `getIndex()`
`java.lang.Integer` | `getStep()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`void` | `setCount(int count)`
`void` | `setCurrent(java.lang.Object current)`
`void` | `setFirst(boolean first)`
`void` | `setIndex(int index)`
`void` | `setLast(boolean last)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForEachTag.LoopStatus

    public ForEachTag.LoopStatus(java.lang.Integer begin,
                                 java.lang.Integer end,
                                 java.lang.Integer step)

Method Detail

### getBegin

    public java.lang.Integer getBegin()

  Specified by:
    `getBegin` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`
  Returns:
    Returns the begin.

### getCount

    public int getCount()

  Specified by:
    `getCount` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`
  Returns:
    Returns the count.

### getCurrent

    public java.lang.Object getCurrent()

  Specified by:
    `getCurrent` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`
  Returns:
    Returns the current.

### getEnd

    public java.lang.Integer getEnd()

  Specified by:
    `getEnd` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`
  Returns:
    Returns the end.

### isFirst

    public boolean isFirst()

  Specified by:
    `isFirst` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`
  Returns:
    Returns the first.

### getIndex

    public int getIndex()

  Specified by:
    `getIndex` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`
  Returns:
    Returns the index.

### isLast

    public boolean isLast()

  Specified by:
    `isLast` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`
  Returns:
    Returns the last.

### getStep

    public java.lang.Integer getStep()

  Specified by:
    `getStep` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`
  Returns:
    Returns the step.

### setCount

    public void setCount(int count)

  Parameters:
    `count` - The count to set.

### setCurrent

    public void setCurrent(java.lang.Object current)

  Parameters:
    `current` - The current to set.

### setFirst

    public void setFirst(boolean first)

  Parameters:
    `first` - The first to set.

### setLast

    public void setLast(boolean last)

  Parameters:
    `last` - The last to set.

### setIndex

    public void setIndex(int index)

  Parameters:
    `index` - The index to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.